For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet all notes
      • POSTCreate a note
      • GETGet a note
      • PATCHUpdate a note
      • DELDelete a note
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMNotes

Get all notes

GET
https://api.brevo.com/v3/crm/notes
GET
/v3/crm/notes
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.notes.getAllNotes({});
8}
9main();
1[
2 {
3 "text": "<p>Meeting notes: <b>Action item</b> - visit <a href=\"https://www.brevo.com/\">Brevo</a> for details.</p>",
4 "id": "61a5cd07ca1347c82306ad09",
5 "contactIds": [
6 247,
7 1,
8 2
9 ],
10 "companyIds": [
11 "61a5ce58c5d4795761045990",
12 "61a5ce58c5d4795761045991"
13 ],
14 "dealIds": [
15 "61a5ce58c5d4795761045990",
16 "61a5ce58c5d4795761045991"
17 ],
18 "authorId": {
19 "email": "johndoe@example.com",
20 "id": "61a5ce58y5d4795761045991",
21 "locale": "en_GB",
22 "name": {
23 "fullName": "John Doe"
24 },
25 "timezone": "Asia/Kolkata"
26 },
27 "createdAt": "2017-05-01T17:05:03.000Z",
28 "updatedAt": "2017-05-01T17:05:03.000Z"
29 }
30]
Retrieve a paginated list of CRM notes with optional filtering by entity type, entity IDs, and date range. Results are sorted by creation date in descending order by default, with a default limit of 50 notes per page.
Was this page helpful?
Previous

Create a note

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

entityenumOptional
Filter by note entity type
Allowed values:
entityIdsstringOptional
Filter by note entity IDs
dateFromintegerOptional

dateFrom to date range filter type (timestamp in milliseconds)

dateTointegerOptional

dateTo to date range filter type (timestamp in milliseconds)

offsetlongOptional
Index of the first document of the page
limitlongOptionalDefaults to 50
Number of documents per page
sortenumOptional

Sort the results in the ascending/descending order. Default order is descending by creation if sort is not passed

Allowed values:

Response

Returns notes list with filters
textstring1-10000 characters

Content of the note. Supports HTML for rich text formatting. Supported tags include: <p> (paragraph), <b> / <strong> (bold), <i> / <em> (italic), <u> (underline), <br /> (line break), <a href="..."> (labelled hyperlink). Example labelled link: <a href="https://example.com">Link text</a>.

idstring
Unique note Id
contactIdslist of integers
Contact ids linked to a note
companyIdslist of strings
Company ids linked to a note
dealIdslist of strings
Deal ids linked to a note
authorIdobject
Account details of user which created the note
createdAtdatetime

Note created date/time

updatedAtdatetime

Note updated date/time

Errors

400
Bad Request Error